#include <bits/stdc++.h>
using namespace std;

void solve(){
    int x, y; cin >> x >> y;
    int x1=x, y1=y;

    int i1=0;
    while(x1>0){
        x1/=10; i1++;
    }
    int i2=0;
    while(y1>0){
        y1/=10; i2++;
    }
    vector <int> ans;
    for(int i=0; i<min(i1, i2); i++){
        if(x%10 > y%10){ans.push_back(x%10);}
        else if(y%10 > x%10){ans.push_back(y%10);}
        else{ans.push_back(x%10); ans.push_back(y%10);}
        x/=10; y/=10;
    }
    if(i1 > i2){
        while(x>0){
            ans.push_back(x%10);
            x/=10;
        }
    }
    else if(i2 > i1){
        while(y>0){
            ans.push_back(y%10);
            y/=10;
        }
    }
    for(int i=ans.size()-1; i>=0; i--){cout << ans[i];}
}

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cerr.tie(0);
    solve();
    return 0;
}